Page MenuHomePhabricator

Break out lexicon tool code to a separate branch while under development
Closed, ResolvedPublic

Description

I'm pretty sure we that decided to have the code for Wikispeech (Tool for suggesting missing lexicon entries) on a separate branch until it was finished. I must have either forgot or failed doing this.

Related Objects

Mentioned In
rEWIS153560c491ed: Reintroduce lexicon tool special page, commits e559d75 and 01f254d
T180021: Security review for extension Wikispeech
rEWIS77713cf38b26: Reintroduce lexicon tool special page, commits e559d75 and 01f254d
T133680: [Task] Functionality: Play selected text (Wikispeech)
T183858: Update for SPDX License List 3.0
T177809: Fix multiple PHP class declarations in one file
rEWISa724ed3fd748: Reintroduce lexicon tool special page, commits e559d75 and 01f254d
rEWIS98103e106957: Break out lexicon tool while under development
Mentioned Here
T138668: Harvest Wikidata into the Monuments database
T180021: Security review for extension Wikispeech
rEWISf951d84f413a: build: Updating mediawiki/minus-x to 0.2.1
rEWIS98103e106957: Break out lexicon tool while under development
rEWIS70cf55251940: build: Updating mediawiki/mediawiki-codesniffer to 15.0.0
rEWISc3bc53f76faa: Fix multiple PHP class declarations in one file
rEWIS1101d4b3a800: Rename Hooks.php to WikispeechHooks.php
rEWISb122d77b81f6: build: Updating mediawiki/mediawiki-codesniffer to 16.0.0
rEWIS9ae6b57be18c: build: Updating mediawiki/minus-x to 0.3.1
rEWISf961d2b2c9c2: build: Updating mediawiki/mediawiki-codesniffer to 16.0.1
rEWIScf086255a1de: Use SPDX 3.0 license identifier
rEWIS958b2d1fd110: build: Updating jakub-onderka/php-parallel-lint to 1.0.0
rEWISc54aed96a8ea: Add missing @covers to test classes
rEWIS92e85fe78d33: build: Updating mediawiki/mediawiki-codesniffer to 17.0.0
rEWISb4e54b767262: Recite selected text
T133680: [Task] Functionality: Play selected text (Wikispeech)
T177809: Fix multiple PHP class declarations in one file
T183858: Update for SPDX License List 3.0
rEWIS01f254d951c7: Add lexicon tool special page in Wikispeech extension
rEWISe559d7521f36: Add specialpage alias for WikispeechLexiconTool

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2017, 11:30 AM

@Sebastian_Berlin-WMSE What is the way forward now as I will be creating some tasks for GCI in order to welcome some new contributors to the project ( This is so it keeps going even at a lower paste)

Change 399418 had a related patch set uploaded (by Sebastian Berlin (WMSE); owner: Sebastian Berlin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Break out lexicon tool while under development

https://gerrit.wikimedia.org/r/399418

Change 399419 had a related patch set uploaded (by Sebastian Berlin (WMSE); owner: Sebastian Berlin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Reintroduce lexicon tool special page, commits e559d75 and 01f254d

https://gerrit.wikimedia.org/r/399419

@Sebastian_Berlin-WMSE What is the way forward now as I will be creating some tasks for GCI in order to welcome some new contributors to the project ( This is so it keeps going even at a lower paste)

With the project ending by the end of 2017, it's not clear to what extent we will continue working on Wikispeech next year. We will continue, initially with focus on getting the extension deployed for beta in its current state. It's also likely that we'll have a follow up project, focusing on collecting speech data, next year.

I'll get back to you once I know how we want to work with volunteers.

Change 399418 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@master] Break out lexicon tool while under development

https://gerrit.wikimedia.org/r/399418

Change 424306 had a related patch set uploaded (by Lokal Profil; owner: Sebastian Berlin (WMSE)):
[mediawiki/extensions/Wikispeech@lexicon_tool] Reintroduce lexicon tool special page, commits e559d75 and 01f254d

https://gerrit.wikimedia.org/r/424306

Change 399419 abandoned by Lokal Profil:
Reintroduce lexicon tool special page, commits e559d75 and 01f254d

Reason:
Abandoned in favour of 424306 which sticks this in a different branch

https://gerrit.wikimedia.org/r/399419

Cross-linking:
This was also brought up in T180021

Left to do:

  • Merge gerrit:424306
  • Rebase gerrit:381189 on the above and submit for review (this will have to be done as a separate patch set and the old one abandoned)

Instructions for how to work against a branch in gerrit can be found at T138668#3280307

Lokal_Profil added a comment.EditedMay 3 2018, 10:01 AM

I've +2:ed gerrit:424306

that leaves the rebase of gerrit:381189 onto the lexicon_tool branch. Note that this will require deleting the old change-id from the commit message since this will create a separate patch-set (once up the old patch set can be abandoned).

Jenkins seems to be having issues but it should be possible to rebase against the open patch until the jenkins issue has been resolved

Lokal_Profil added a comment.EditedJun 19 2018, 12:25 PM

Jenkins seems to be having issues but it should be possible to rebase against the open patch until the jenkins issue has been resolved

I've brought the lexicon_tool branch up to date with master so that it will pass the CI tests. gerrit:441024.
Rebasing gerrit:424306 on that.

Change 424306 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@lexicon_tool] Reintroduce lexicon tool special page, commits e559d75 and 01f254d

https://gerrit.wikimedia.org/r/424306

Lokal_Profil closed this task as Resolved.Jun 19 2018, 1:53 PM
Lokal_Profil moved this task from Waitin' to Done on the User-Sebastian_Berlin-WMSE board.
Lokal_Profil removed a project: Patch-For-Review.